use std::path::Path;

use rocket::response::{Redirect, content};

use crate::sessions::{Session};

#[get("/style.css")]
pub async fn style_file() -> content::Css<&'static str> {
  content::Css(include_str!("../ui/style.css"))
}


#[get("/", rank = 1)]
pub async fn index_authenticated(_session : Session) -> content::Html<&'static str> {
  content::Html(include_str!("../ui/index.html"))
}

#[get("/", rank = 2)]
pub async fn index_unauthenticated() -> Redirect {
  Redirect::temporary("/login")
}


#[get("/login", rank = 2)]
pub async fn login_unauthenticated() -> content::Html<&'static str> {
  content::Html(include_str!("../ui/login.html"))
}

#[get("/login", rank = 1)]
pub async fn login_authenticated(_session : Session) -> Redirect{
  Redirect::temporary("/")
}
